From 74496d22975a2233fee1a1866ef01ff79c872ced Mon Sep 17 00:00:00 2001
From: Xavier Lacot <xavier@lacot.org>
Date: Wed, 11 Jul 2012 17:10:57 +0200
Subject: [PATCH] fixed a bug in the generation of the having clause

The generation of the having clause was not testing the existence of a
previous `having`, but the existence of the `where` clause
---
 joli.js | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/joli.js b/joli.js
index 95379da..430a1bb 100644
--- a/joli.js
+++ b/joli.js
@@ -546,7 +546,7 @@ var joliCreator = function() {
             return this;
         },
         having: function(expression, value) {
-            if (null !== this.data.where) {
+            if (null !== this.data.having) {
                 this.data.having += ' and ';
             } else {
                 this.data.having = '';
